- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- COPYRIGHT

# NAME

SSL_get1_builtin_sigalgs - get list of built-in signature algorithms

# SYNOPSIS

     #include <openssl/tls1.h>

     char *SSL_get1_builtin_sigalgs(OSSL_LIB_CTX *libctx);

# DESCRIPTION

Return the colon-separated list of built-in and available TLS signature algorithms. The string returned must be freed by the user using OPENSSL_free(3).

# NOTES

The string may be empty (strlen==0) if none of the built-in TLS signature algorithms can be activated, e.g., if suitable providers are missing.

# RETURN VALUES

NULL may be returned if no memory could be allocated. Otherwise, a newly allocated string is always returned but it may have strlen == 0.

# COPYRIGHT

Copyright 2000-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.